norm {Matrix} | R Documentation

## Matrix Norms

### Description

Computes a matrix norm of `x`, using Lapack for dense matrices. The norm can be the one norm, the infinity norm, the Frobenius norm, or the maximum modulus among elements of a matrix, as determined by the value of `type`.

### Usage

    norm(x, type, ...)

### Arguments

`x` | a real or complex matrix.
`type` | A character indicating the type of norm desired. `"O"`, `"o"` or `"1"` specifies the one norm, (maximum absolute column sum); `"I"` or `"i"` specifies the infinity norm (maximum absolute row sum); `"F"` or `"f"` specifies the Frobenius norm (the Euclidean norm of `x` treated as if it were a vector); and `"M"` or `"m"` specifies the maximum modulus of all the elements in `x`. The default is `"O"`. Only the first character of `type[1]` is used.
`...` | further arguments passed to or from other methods.

### Details

For dense matrices, the methods eventually call the Lapack functions `dlange`, `dlansy`, `dlantr`, `zlange`, `zlansy`, and `zlantr`.

### Value

A numeric value of class `"norm"`, representing the quantity chosen according to `type`.

### References

Anderson, E., et al. (1994). LAPACK User's Guide, 2nd edition, SIAM, Philadelphia.

### Examples

    x <- Hilbert(9)
    norm(x, "1")
    norm(x, "I")
    norm(x, "F")
    norm(x, "M")

[Package Matrix version 1.0-9 Index]